<div class="user-panel-body-right panelBar" id="orderHistory">
    <div class="card mb-3 bg-white" style="border:none;" *ngIf="!showDetails">
        <div class="" style="border: none;">
            <div class="d-flex align-items-center">
                <h6 class="text-black mt-3 ml-4 mb-3">All Transaction <span *ngIf="!_HelperService.IsProcessing">({{_DataService.TotalRecords || 0}})</span> </h6>
            </div>
            <ng-container *ngIf="_HelperService.IsProcessing">
                <div *ngFor="let TItem of [1,2,3,4,5]; let index = index;" class="orderHistory_list">
                    <div class="d-flex">
                        <div>
                            <ngx-skeleton-loader count="1" [theme]="{width: '103px', height: '103px', 'margin': '0 1rem 0 0', 'border-radius': '3.3px'}"></ngx-skeleton-loader>
                        </div>
                        <div class="orderHistory_content">
                            <ngx-skeleton-loader count="1" [theme]="{width: '400px', height: '23px', 'margin-bottom':'0.5rem'}"></ngx-skeleton-loader><br>
                            <ngx-skeleton-loader count="1" [theme]="{width: '140px', height: '17.6px', 'margin':'0'}"></ngx-skeleton-loader>
                        </div>
                    </div>
                    <div style="width:98px">
                        <ngx-skeleton-loader count="1" [theme]="{width: '100%', height: '25px', 'margin':'0', 'background-color':'#B11A8330'}"></ngx-skeleton-loader>
                    </div>
                </div>
            </ng-container>
            <ng-container *ngIf="!_HelperService.IsProcessing">
                <div *ngFor="let TItem of _DataService._PuchasedDeals; let index = index;" class="orderHistory_list">
                    <div class="d-flex">
                        <img [src]="TItem.ImageUrl" width="100%" height="100%" alt="Deal image" />
                        <div class="orderHistory_content">
                            <span class="mb-0 text-gray">Deal Code: {{TItem?.DealCode || '--'}}</span>
                            <p class="mb-0 text-black title-text">
                                {{TItem.Title}}
                            </p>
                            <span class="mb-0">
                                Order Date:{{TItem.PurchaseDate | date: 'dd-MM-yyyy'}}
                            </span><br>
                            <div class="d-flex">
                                <span class="mb-0 text-black">
                                Status: <span class="text-uppercase">{{TItem?.DealStatusName || '--'}}</span>
                                </span>
                                <span class="mb-0 ml-3 text-black">
                                Quantity: <span class="text-uppercase">{{TItem?.Quantity || '--'}}</span>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div style="width:98px">
                        <button class="btn p-0 white-space-nowrap" (click)="Detailsclicked(TItem)">
                            SEE DETAILS </button>
                    </div>
                </div>
                <ng-container  *ngIf="_DataService.pager?.pages && _DataService.pager?.pages.length">
                    <nav aria-label="Page navigation example" class="p-4 d-flex justify-content-end">
                        <ul class="pagination">
                        <li class="page-item" (click)="_DataService.setPage(_DataService.pager.currentPage - 1, '_GetPuchasedDeals')" [ngClass]="{disabled: _DataService.pager.currentPage === 1}">
                            <a class="page-link" href="javascript:void(0)">Previous</a>
                            </li>
                        <li class="page-item" *ngFor="let page of _DataService.pager.pages">
                            <a class="page-link" href="javascript:void(0)" (click)="_DataService.setPage(page, '_GetPuchasedDeals')" [ngClass]="{activePage: _DataService.pager.currentPage === page}">{{page}}</a>
                            </li>
                        <li class="page-item" [ngClass]="{disabled: _DataService.pager.currentPage === _DataService.pager.totalPages}">
                            <a class="page-link" href="javascript:void(0)" (click)="_DataService.setPage(_DataService.pager.currentPage + 1, '_GetPuchasedDeals' )">Next</a>
                            </li>
                        </ul>
                    </nav>
                </ng-container>
            </ng-container>
        </div>
    </div>
    <div class="user-panel-tab-view mb-1" *ngIf="showDetails">
        <div class="shadow-sm rounded overflow-hidden mb-3 bg-white">
            <div class="border-bottom py-2 px-3 font-dark-weight" style="color:#141414;background-color: #FFFFFF;">
                <i class="fa fa-arrow-left cursor-pointer" aria-hidden="true" (click)="showDetails = false"></i> &nbsp;ORDER DETAILS
                <!-- <img src="../../../../assets/images/Vector.png" alt="Backarrow" class="cursor-pointer" style="height: 14px;width:17px;margin-right: 10px;margin-left: 5px !important;" (click)="togglearrow()"> Order Details -->
            </div>
            <div class="">
                <div class="border-bottom mb-1">
                    <div class="d-flex">
                        <div class="ml-4 mr-2 p-2">
                            <img [src]="_DealCode?.ImageUrl" id="imggssaa" alt="Deal image" class="Imgproduct" *ngIf="!_DealCodeInProgress">
                            <ngx-skeleton-loader count="1" [theme]="{width: '100px', height: '100px', 'margin': '0', 'border-radius': '10px'}" *ngIf="_DealCodeInProgress"></ngx-skeleton-loader>
                        </div>
                        <div class="p-2" *ngIf="!_DealCodeInProgress">
                            <div class="font-dark">{{_DealCode?.Title}}</div>
                            <div class="font-dark">Order ID: {{_DealCode?.ReferenceId}}</div>
                            <div class="font-dark">Status: <span style="color: #B11A83;">{{_DealCode?.StatusName}}</span>
                            </div>
                            <div class="font-dark">Quantity: <span class="text-uppercase">{{_DealCode?.Quantity || '--'}}</span></div>
                            <div class="font-dark">Amount: <span [innerHtml]="_HelperService._Account.Country.Symbol"></span>{{_DealCode?.Amount}}
                            </div>
                        </div>
                        <div class="p-2" *ngIf="_DealCodeInProgress">
                            <ngx-skeleton-loader count="1" [theme]="{width: '400px', height: '13px', 'margin-bottom': '0.5rem'}"></ngx-skeleton-loader>
                            <br>
                            <ngx-skeleton-loader count="1" [theme]="{width: '175px', height: '13px', 'margin-bottom': '0.5rem'}"></ngx-skeleton-loader>
                            <br>
                            <ngx-skeleton-loader count="1" [theme]="{width: '200px', height: '13px', 'margin-bottom': '0.5rem'}"></ngx-skeleton-loader>
                            <br>
                            <ngx-skeleton-loader count="1" [theme]="{width: '200px', height: '13px', 'margin-bottom': '0.5rem'}"></ngx-skeleton-loader>
                            <br>
                            <ngx-skeleton-loader count="1" [theme]="{width: '100px', height: '13px', 'margin-bottom': '0.5rem'}"></ngx-skeleton-loader>
                        </div>
                    </div>
                </div>

                <div *ngIf="_DealCode?.StatusName=='Used'">
                    <div class="pl-4 pt-2 tx-20">Rate Product</div>
                    <div class="d-flex ">
                        <div class="pl-3 ">
                            <ngx-star-rating [(ngModel)]="_DealRatingNumber" [id]="'dealratingdetails'">
                            </ngx-star-rating>
                        </div>

                        <div class="pl-3 pt-2 font-dark"> ({{_DealRatingNumber}}/5)</div>
                    </div>
                    <div class="pl-4 mt-1 font-dark">Give a Review ( less than 100 words) </div>
                    <div class="row  pl-3 mb-4">
                        <div class="col-md-6 buttonsforwallet">
                            <div class="mt-4">
                                <textarea type="text" rows="4" name="" [(ngModel)]="_Cdata.Comment" (keypress)="checkReviewCommentValidation()" class="form-control-lg form-control" style="border-radius: 10px;"></textarea>
                            </div>
                            <div class="mt-4">
                                <button class="btn  btn-block text-white" style="background-color:#B11A83;" (click)="SaveRating(_DealCode)" [disabled]="_DealRatingNumber == 0  || _Cdata.Comment == ''">Send</button>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row p-3" *ngIf="!_DealCodeInProgress">
                    <div class="col col-xl-6 col-lg-6 col-md-6 col-sm-12" *ngIf="(_DealCode?.DealTypeCode == _HelperService.AppConfig.DealTypeCode.ProductDeal && _DealCode?.DeliveryDetails.StatusName !=undefined)">
                        <div class="card mb-3 col mr-3 p-0 detailscard">
                            <div class="border-bottom p-3 text-dark">DELIVERY DETAILS</div>
                            <div class="p-3" style="color: #625F61;">
                                <div class=""><strong>Name : </strong> {{_DealCode?.DeliveryDetails.ToAddress.Name}}
                                </div>
                                <div class=""><strong>Address : </strong> {{_DealCode?.DeliveryDetails.ToAddress.AddressLine1}}
                                </div>
                                <div class=""><strong>Phone Number</strong>: {{_DealCode?.DeliveryDetails.ToAddress.ContactNumber}}
                                </div>
                                <div class="" *ngIf="_DealCode?.DeliveryDetails.DeliveryDate !=undefined"><strong>Date Delivered</strong>: {{_DealCode?.DeliveryDetails.DeliveryDate | date: 'dd-MM-yyyy'}}
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                        <div class="card mb-3 col mr-3 p-0 detailscard">
                            <div class="border-bottom p-3 text-dark">PAYMENT METHOD</div>
                            <div class="p-3" style="color: #625F61;">
                                <div class="">
                                    <div>Channel: {{_DealCode?.PaymentDetails?.Channel}}</div>
                                    <div>Type: {{_DealCode?.PaymentDetails?.PaymentTypeName}}</div>
                                    <div *ngIf="_DealCode?.PaymentDetails?.CardNumber">Card Details: {{_DealCode?.PaymentDetails?.CardNumber}}</div>
                                </div>
                                <hr>
                                <div class="">
                                    <div><strong>Item: </strong><span [innerHtml]="_HelperService._Account.Country.Symbol"></span>{{_DealCode?.Amount}} </div>
                                    <div><strong>Delivery: </strong><span [innerHtml]="_HelperService._Account.Country.Symbol"></span>{{_DealCode?.DeliveryCharge}} </div>
                                    <div><strong>Total: </strong><span [innerHtml]="_HelperService._Account.Country.Symbol"></span>{{_DealCode?.TotalAmount}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>